%{?nodejs_find_provides_and_requires}

%global packagename public-encrypt
%global enable_tests 1

Name: nodejs-%{packagename}
Version: 4.0.0
Release: 1%{?dist}.3
Summary: browserify version of publicEncrypt & privateDecrypt
License: MIT
URL: https://github.com/crypto-browserify/publicEncrypt
Source0: https://registry.npmjs.org/%{packagename}/-/%{packagename}-%{version}.tgz
BuildArch: noarch
ExclusiveArch: %{nodejs_arches} noarch
BuildRequires: nodejs-packaging
BuildRequires: npm(bn.js) >= 4.1.0
BuildRequires: npm(bn.js) < 5.0.0
BuildRequires: npm(browserify-rsa) >= 4.0.0
BuildRequires: npm(browserify-rsa) < 5.0.0
BuildRequires: npm(create-hash) >= 1.1.0
BuildRequires: npm(create-hash) < 2.0.0
BuildRequires: npm(parse-asn1) >= 5.0.0
BuildRequires: npm(parse-asn1) < 6.0.0
BuildRequires: npm(randombytes) >= 2.0.1
BuildRequires: npm(randombytes) < 3.0.0
%if 0%{?enable_tests}
BuildRequires: npm(tape) >= 3.0.3
%endif

%description
publicEncrypt/privateDecrypt for browserify.


%prep
%setup -q -n package
%nodejs_fixdep tape '>=3.0.3'


%build

%install
mkdir -p %{buildroot}%{nodejs_sitelib}/%{packagename}
cp -pr package.json *.js \
        %{buildroot}%{nodejs_sitelib}/%{packagename}

%nodejs_symlink_deps

%check
%nodejs_symlink_deps --check
%{__nodejs} -e 'require("./")'
%if 0%{?enable_tests}
%{_bindir}/node test/index.js
%endif


%files
%doc *.md
%{nodejs_sitelib}/%{packagename}

%changelog
* Sat Sep 24 2016 Oleg Girko <ol@infoserver.lv> - 4.0.0-1
- Initial package.
